6.0.0-git
2019-03-20

[#8504] return timeObjects attached to each turba source individually
Summary return timeObjects attached to each turba source individually
Queue Turba
Queue Version Git master
Type Enhancement
State Resolved
Priority 1. Low
Owners mrubinsk (at) horde (dot) org
Requester m.gabriel (at) das-netzwerkteam (dot) de
Created 2009-08-19 (3500 days ago)
Due
Updated 2014-06-24 (1730 days ago)
Assigned
Resolved 2009-08-20 (3499 days ago)
Milestone
Patch No

History
2010-01-13 00:10:42 CVS Commit Comment #10 Reply to this comment
Changes have been made in Git for this ticket:

Return timeObjects categories for _each_ turba source separately.
Bug: 8504

http://git.horde.org/diff.php/turba/lib/Api.php?rt=horde-git&r1=6179ac2e1fd3c1d07b7c3d8176e3aa9071c547ad&r2=43129fa09ef1da1ff1a8aa1693fb89b7adec2eda
2009-08-20 20:32:34 Michael Rubinsky Comment #9
State ⇒ Resolved
Reply to this comment
Actually, on second thought, can't backport it since it alters the 
publicly visible API
2009-08-20 19:44:13 Michael Rubinsky Summary ⇒ return timeObjects attached to each turba source individually
 
2009-08-20 19:41:42 Michael Rubinsky Comment #8
Assigned to Michael Rubinsky
Reply to this comment
Implemented in git/master.



Should this be backported to FW_3?
2009-08-20 16:11:34 Jan Schneider Comment #7 Reply to this comment

[Show Quoted Text - 13 lines]
Exactly. In reality this shouldn't be too messy because anniversaries 
are not part of any default address book, and birthdays are usually 
used in the personal address books only.
2009-08-20 15:54:47 Michael Rubinsky Comment #6 Reply to this comment
We should do it like with Nag, i.e. return a list of address books
(like the tasklists) to pick from in the calendar panel.
Wouldn't the get a bit crowded/confusing? With Turba, we (can) return 
multiple timeObject categories that are already presented as options 
in the calendar panel. UI-wise, how would that work?  We'd have to 
have a checkbox for each category for each address book. i.e.

   Birthdays from address book X

   Anniversarys from address book X

   Birthdays from address book Y

   Anniversarys from address book Y



etc...
2009-08-20 15:48:09 Jan Schneider Comment #5 Reply to this comment
We should do it like with Nag, i.e. return a list of address books 
(like the tasklists) to pick from in the calendar panel.
2009-08-20 15:43:25 m (dot) gabriel (at) das-netzwerkteam (dot) de Comment #4 Reply to this comment
Maybe it is also sensible to use the already selected address
books (attendees) for this?
Actually, what I think we should do, if anything, is to use the
addressbooks pref from turba and only include the address books that
the user is currently "using" in the listTimeObjects data... Right
now it includes any available address book the user has enough rights
to.
no, this doesn't solve the issue. in the scenario i mentioned, people 
have to work with the 3000-object-addressbook but they do not need the 
birthdays to be displayed in their calendar.



the more i think about it the more i think a separate pref (in 
kronolith) would be nice...




2009-08-20 12:51:08 Michael Rubinsky Summary ⇒ restrict listTimeObjects sources to those selected in the addressbooks pref only
 
2009-08-20 12:50:13 Michael Rubinsky Comment #3
Version ⇒ Git master
Queue ⇒ Turba
State ⇒ Feedback
Reply to this comment
Moving to Turba, since that's where this needs to be changed.
2009-08-20 12:49:24 Michael Rubinsky Comment #2 Reply to this comment
Maybe it is also sensible to use the already selected address
books (attendees) for this?
Actually, what I think we should do, if anything, is to use the 
addressbooks pref from turba and only include the address books that 
the user is currently "using" in the listTimeObjects data... Right now 
it includes any available address book the user has enough rights to.
2009-08-19 13:15:53 m (dot) gabriel (at) das-netzwerkteam (dot) de Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ restrict birthday views in kronolith to selected turba address books
Queue ⇒ Kronolith
Milestone ⇒
Patch ⇒ No
Reply to this comment
kronolith had become rather sluggish recently and i could not figure 
out why. however, at last i did:



the sluggishness began after one of our sites shared contact folders 
had got populated by one of our staff users (> 3000 contacts). These 
contacts are now searched for birthday dates which takes time on each 
kronolith display (also when toggling calendars etc.).



Wouldn't it be nice to select the address books in the kronolith 
settings that you want to extract birthday dates (and anniversaries) 
from? Maybe it is also sensible to use the already selected address 
books (attendees) for this?



greets,

mike

Saved Queries